%define		_status		beta
%define		_pearname	Spreadsheet_Excel_Writer
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - package for generating Excel spreadsheets
Summary(pl.UTF-8):	%{_pearname} - pakiet generujący arkusze Excela
Name:		php-pear-%{_pearname}
Version:	0.9.3
Release:	4
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a1c353beb819fa4b7146f5325625774b
Patch0:		%{name}-git.patch
URL:		http://pear.php.net/package/Spreadsheet_Excel_Writer/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-OLE >= 0.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spreadsheet_Excel_Writer was born as a porting of the
Spreadsheet::WriteExcel Perl module to PHP. It allows writing of Excel
spreadsheets without the need for COM objects. It supports formulas,
images (BMP) and all kinds of formatting for text and cells. It
currently supports the BIFF5 format (Excel 5.0), so functionality
appeared in the latest Excel versions is not yet available.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Spreadsheet_Excel_Writer narodził się jako port do PHP perlowego
modułu Spreadsheet::WriteExcel. Pozwala na zapisywanie arkuszy Excela
bez potrzeby używania obiektów COM. Ma wsparcie dla formularzy,
rysunków (BMP) oraz wszelkiego typu formatowania tekstu oraz komórek.
Aktualnie wspiera format BIFF5 (Excel 5.0), więc funkcjonalność
ostatnich wersji Excela nie jest jeszcze dostępna.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%dir %{php_pear_dir}/Spreadsheet
%dir %{php_pear_dir}/Spreadsheet/Excel
%dir %{php_pear_dir}/Spreadsheet/Excel/Writer
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Spreadsheet/Excel/*.php
%{php_pear_dir}/Spreadsheet/Excel/Writer/*.php
%changelog
* Wed Jun 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Spreadsheet_Excel_Writer.git;a=log;h=master

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d6a959c
- rel 4; patch applying fix

* Wed Jun 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d0cb882
- rel 3; utf8 fixes

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 6af0c6e
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> e64eb67
- updated to: 0.9.3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 41c966d
- updated deps with pearize.sh
- release 2

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 934976d
- updated to 0.9.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ef83bab
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 862453f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5b4d5b0
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 2b0d2a5
- updated to 0.9.1

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 59b389c
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 05358e2
- 0.9.0

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 6415fe6
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> bc097eb
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 746b0a9
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 3cd2498
- semi automatically added deps from pear

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> 4e9d048
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> e815b76
- rebuild with new PEAR provides/requires scripts
- release 2

* Thu Jul 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 40c3690
- updated to 0.8

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 12e59d6
- fixed english information about status of the package

